import { jsx } from "react/jsx-runtime";
import { TokenIMPT as TokenIMPT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenIMPT = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "IMPT", "data-name": "TokenIMPT", ...props, children: /* @__PURE__ */ jsx(TokenIMPT$1, { variant }) });
  }
);
TokenIMPT.displayName = "TokenIMPT";
Object.assign(TokenIMPT, { isGdsIcon: true });
export {
  TokenIMPT
};
